Trustfull Login (Score)

Trustfull Login (Score)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Trustfull Login compares the device, browser and network of a login attempt with the ones you saved at enrollment, and returns a 0–1000 risk score that helps detect account takeover.

To use this API, you must first follow the prerequisites as described HERE

Request

Below is an example of a Trustfull Login score request:

curl --request POST \
     --url POST http://api.fido.id/1.0/track/results?session_id={session_id} \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'x-api-key: [your_app_key]' 

Response

Following an example of the response:

{
    "transaction_id": "158db860-67e6-4ef7-8162-1a23a5e16cf5",
    "username": "johndoe",
    "app_key": "TFB-abc",
    "session_id": "session-123",
    "browser_battery_charging": true,
    "browser_battery_level": 85,
    "browser_device_operating_system": "Android",
    "browser_device_type": "desktop",
    "browser_has_privacy_related_plugins": true,
    "browser_name": "Chrome",
    "browser_language": "en-US",
    "browser_timezone": "America/New_York",
    "browser_version": "114.0.1",
    "browser_cpu_class": "x86",
    "browser_cpu_cores": "12",
    "browser_video_card_vendor": "google inc. (intel)",
    "browser_video_card_renderer": "angle (intel, mesa intel(r) graphics (rpl-u), opengl 4.6)",
    "browser_media_devices_count": "3",
    "browser_media_devices_list": "audioinput,videoinput,audiooutput",
    "browser_screen_resolution": "1920x1080",
    "browser_viewport": "1193x1327",
    "browser_color_depth": "24",
    "browser_cookies_enabled": true,
    "browser_incognito_mode": true,
    "device_request_time": "2024-12-12T10:00:00Z",
    "ip": "192.168.0.1",
    "ip_black_list_count": 5,
    "ip_city": "New York",
    "ip_company_domain": "google.com",
    "ip_connection_speed": "company/T1",
    "ip_connection_type": "Reserved",
    "ip_country": "United States",
    "ip_country_code": "US",
    "ip_css_count": 3,
    "ip_css_in_days": 7,
    "ip_is_hosting": true,
    "ip_is_mobile": false,
    "ip_isp": "Comcast",
    "ip_is_proxy": false,
    "ip_is_relay": false,
    "ip_is_tor": false,
    "ip_is_valid_format": true,
    "ip_is_vpn": false,
    "ip_lat": "40.7128",
    "ip_lon": "-74.0060",
    "ip_proxy_name": "ProxyXYZ",
    "ip_proxy_type": "datacenter",
    "ip_timezone": "CET",
    "ip_timezone_request_time": "night",
    "ip_xbl_count": 2,
    "ip_xbl_in_days": 2,
    "ip_zip": "10001",
    "browser_device_model": "Galaxy S7 Edge",
    "browser_device_brand": "Samsung",
    "ip_vpn_name": "NordVPN",
    "score": 649,
    "score_cluster": "high"
}
nametype
transaction_id?string

Unique identifier for the transaction

Ex: 158db860-67e6-4ef7-8162-1a23a5e16cf5
username?string

The username associated with the session or transaction

Ex: johndoe
app_key?string

The application key associated with the request

Ex: TFB-abc
session_id?string

Session identifier for the login interaction

Ex: session-123
browser_battery_charging?boolean

Indicates whether the battery is charging

Ex: true
browser_battery_level?integer

Current battery level as a percentage

Ex: 85
browser_device_operating_system?string

Operating system of the device running the browser

Ex: Android
browser_device_type?string

Type of device running the browser (e.g., desktop, mobile)

Ex: desktop
browser_has_privacy_related_plugins?boolean

Indicates whether the browser has privacy-related plugins installed

Ex: true
browser_name?string

Name of the browser being used

Ex: Chrome
browser_language?string

Language of the browser, in the standard RFC 9110

Ex: en-US
browser_timezone?string

Timezon of the browser, in the standard IANA Time Zone Database

Ex: America/New_York
browser_version?string

Version of the browser being used

Ex: 114.0.1
browser_cpu_class?string

CPU Architecture

Ex: x86
browser_cpu_cores?integer

Number of the cores of the CPU

Ex: 12
browser_video_card_vendor?string

The vendor of the CPU

Ex: google inc. (intel)
browser_video_card_renderer?string

The CPU render engine

Ex: angle (intel, mesa intel(r) graphics (rpl-u), opengl 4.6)
browser_media_devices_count?integer

The count of media device

Ex: 3
browser_media_devices_list?string

The list of media device

Ex: audioinput,videoinput,audiooutput
browser_screen_resolution?string

The resolution of the browser

Ex: 1920x1080
browser_viewport?string

The viewport of the browser

Ex: 1193x1327
browser_color_depth?integer

The browser color depth

Ex: 24
browser_cookies_enabled?boolean

Indicates if the browser has cookies enabled

Ex: true
browser_incognito_mode?boolean

Indicates if the browser is in incognito mode

Ex: true
device_request_time?string

The timestamp of the request from the device

Ex: 2024-12-12T10:00:00Z
ip?string

IP address of the login event

Ex: 192.168.0.1
ip_black_list_count?integer

The number of providers that have flagged this IP as spam

Ex: 5
ip_city?string

City associated with the IP address

Ex: New York
ip_company_domain?string

The name of the domain of the company that owns the domain, if found

Ex: google.com
ip_connection_speed?string

Internet connection speed associated to the ip address:
- company/T1
- broadband/cable/fiber
- mobile


Ex: company/T1

Enum: company/T1,broadband/cable/fiber,mobile
ip_connection_type?string

Usage type classification of ISP or company:
- Commercial
- Content Delivery Network
- Fixed Line
- Mobile ISP
- Reserved
- University / College / School


Ex: Reserved

Enum: Commercial,Content Delivery Network,Fixed Line,Mobile ISP,Reserved,University / College / School
ip_country?string

Country name associated with the IP address

Ex: United States
ip_country_code?string

Country associated with the IP address, ISO 3166 alpha-2

Ex: US
ip_css_count?integer

The number of times this IP address has been reported in a Combined Spam Sources (CSS)

Ex: 3
ip_css_in_days?integer

The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.

Ex: 7
ip_is_hosting?boolean

Indicates if the IP address is an hosting provider

Ex: true
ip_is_mobile?boolean

Indicates if the IP address is associated with a mobile connection

Ex: false
ip_isp?string

Internet service provider associated with the IP address

Ex: Comcast
ip_is_proxy?boolean

Indicates if the IP address is a proxy

Ex: false
ip_is_relay?boolean

Indicates if the IP address is a relay

Ex: false
ip_is_tor?boolean

Indicates if the IP address is part of the Tor network

Ex: false
ip_is_valid_format?boolean

Indicates if the IP address is in a valid format

Ex: true
ip_is_vpn?boolean

Indicates if the IP address is associated with a VPN

Ex: false
ip_lat?string

Latitude of the location associated with the IP address

Ex: 40.7128
ip_lon?string

Longitude of the location associated with the IP address

Ex: -74.0060
ip_proxy_name?string

Name of the proxy associated with the IP address, if any

Ex: ProxyXYZ
ip_proxy_type?string

When the IP address is a Proxy, indicates the type of Proxy

Ex: datacenter

Enum: datacenter,residential
ip_timezone?string

The Timezone the IP address belongs to

Ex: CET
ip_timezone_request_time?string

Time of the day the user is requesting your service

Ex: night

Enum: morning,afternoon,evening,night
ip_xbl_count?integer

The number of times this IP address has been reported in a Exploits Blocklist (XBL)

Ex: 2
ip_xbl_in_days?integer

The how many days has passed since the most recent report in a Exploits Blocklist (XBL). Recency indicates more accurate data.

Ex: 2
ip_zip?string

ZIP code associated with the IP address

Ex: 10001
browser_device_model?string

Device model running the browser

Ex: Galaxy S7 Edge
browser_device_brand?string

Brand of the device running the browser

Ex: Samsung
ip_vpn_name?string

Name of the VPN associated with the IP address, if any

Ex: NordVPN
score?integer

A number ranging from 0 to 1000 that represents the quality score of the login

Ex: 649
score_cluster?string

A cluster categorization that summarizes the quality score of the login

Ex: high

Enum: very_low,low,review,high,very_high
Query Params
string
Defaults to [session-id]
Headers
string
required
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json